[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Choice of default browser for etch

reassign 370098 tasksel


 I'm reassigning #370098 to tasksel for discussion of the default
 browser in the default desktop task (GNOME).

 #370098 has some small discussions on the topic, but the problems in
 gnome-desktop-environment have been addressed (the package depends on
 "epiphany-browser (>= | gnome-www-browser" which will pull
 epiphany-browser unless one of galeon or iceweasel-gnome-support has
 been selected already).  I think the current Depends are ok.

 There's a small thread on the subject which initiated this discussion
 on debian-devel@:

 The current situation is problematic for two reasons:
 - a lot of people think that epiphany should be installed by default
   and the default browser
 - the default gnome-panel and preferred applications reference epiphany
   which currently doesn't get installed

 I followed the debate on firefox versus epiphany on the Ubuntu lists,
 and I think the biggest arguments back then were the number of features
 Firefox had that Epiphany lacked and the name "Firefox" being popular.

 Today, I think these arguments need to be revisited as Epiphany gained
 features and plenty of plugins, and Firefox was renamed to IceWeasel.

 I don't know who and how we will decide what the default browser will
 be (a poll? :), but my order of preference for installed browsers in
 default installs would be:
 1) epiphany + iceweasel
 2) epiphany
 3) iceweasel

 I deliberately list two browsers as my first choice, but I don't
 actually use any of the two: I use Galeon. :)  I do think Epiphany
 makes sense as the default browser, but IceWeasel should be easily
 accessible for people used to Firefox.

 Once this is decided and implemented, we probably will have to update
 the default gnome-panel layout (to list firefox or to unlist epiphany),
 and/or the default browser.  Please clone this bug once tasksel has
 been updated with the final decision.

 As a related technical implementation note, the default browser could
 be sensible-browser would the patch in #351901 be applied (will soon
 hit its first anniversary!).  Or we could move to gnome-www-browser,
 but I prefer the former.

Loïc Minier <lool@dooz.org>

Reply to: